Module | Locale::Info
In: | lib/locale/info/region.rb lib/locale/info/language.rb

### Methods

get_language get_region language_code? regions three_languages two_languages valid_region_code?

### Classes and Modules

Class Locale::Info::Language
Class Locale::Info::Region

### Public Instance methods

get_language(code)

Returns the language for the given 2 or 3 digit code.

Need to require ‘locale/info’ or ‘locale/language’.

get_region(code)

Returns the region for the given code.

You need to require ‘locale/info’ or ‘locale/info/region’.

language_code?(code)

Returns the language code is valid.

Need to require ‘locale/info’ or ‘locale/language’.

regions()

Returns a hash of all the ISO regions. The hash is {String, Region} where the string is the 2 digit region code from the ISO 3166 data.

You need to require ‘locale/info’ or ‘locale/region’.

three_languages()

Returns a hash of all the ISO languages. The hash is {String, language} where the string is the 3 digit language code from the ISO 639 data. This contains all of the data from the ISO 639-3 data (7600 Languages).

Need to require ‘locale/info’ or ‘locale/language’.

two_languages()

Returns a hash of all the ISO languages. The hash is {String, language} where the string is the 2 digit language code from the ISO 639-1 data. This contains all of the data from the ISO 639-1 data (186 Languages).

Need to require ‘locale/info’ or ‘locale/language’.

valid_region_code?(code)

Returns the region code is valid.

You need to require ‘locale/info’ or ‘locale/info/region’.

[Validate]